Package org.eclipse.rdf4j.model.impl

## Class NumericLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractLiteral
  - - org.eclipse.rdf4j.model.impl.SimpleLiteral
    - - org.eclipse.rdf4j.model.impl.NumericLiteral

- All Implemented Interfaces:
    `Serializable`, `Literal`, `Value`

      public class NumericLiteral
      extends SimpleLiteral

  An extension of `SimpleLiteral` that stores a numeric value to avoid parsing.
  Author:
    David Huynh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NumericLiteral​(byte number)` | Creates an xsd:byte typed litral with the specified value.
    `protected` | `NumericLiteral​(double n)` | Creates an xsd:double typed litral with the specified value.
    `protected` | `NumericLiteral​(float n)` | Creates an xsd:float typed litral with the specified value.
    `protected` | `NumericLiteral​(int number)` | Creates an xsd:int typed litral with the specified value.
    `protected` | `NumericLiteral​(long n)` | Creates an xsd:long typed litral with the specified value.
    `protected` | `NumericLiteral​(short number)` | Creates an xsd:short typed litral with the specified value.
    `protected` | `NumericLiteral​(Number number, CoreDatatype datatype)` |
    `protected` | `NumericLiteral​(Number number, IRI datatype)` | Creates a literal with the specified value and datatype.
    `protected` | `NumericLiteral​(Number number, XSD.Datatype datatype)` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `byteValue()` | Returns the byte value of this literal.
    `double` | `doubleValue()` | Returns the double value of this literal.
    `float` | `floatValue()` | Returns the float value of this literal.
    `int` | `intValue()` | Returns the int value of this literal.
    `long` | `longValue()` | Returns the long value of this literal.
    `short` | `shortValue()` | Returns the short value of this literal.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, calendarValue, decimalValue, equals, getCoreDatatype, getDatatype, getLabel, getLanguage, getXsdDatatype, hashCode, integerValue, setDatatype, setDatatype, setDatatype, setDatatype, setLabel, setLanguage, stringValue, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractLiteral

      `temporalAccessorValue, temporalAmountValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Literal

      `isLiteral`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isResource, isTriple`

- - ### Constructor Detail

    - #### NumericLiteral

          protected NumericLiteral​(Number number,
                                   IRI datatype)

      Creates a literal with the specified value and datatype.

    - #### NumericLiteral

          @Deprecated(since="4.0.0",
                      forRemoval=true)
          protected NumericLiteral​(Number number,
                                   XSD.Datatype datatype)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### NumericLiteral

          protected NumericLiteral​(Number number,
                                   CoreDatatype datatype)

    - #### NumericLiteral

          protected NumericLiteral​(byte number)

      Creates an xsd:byte typed litral with the specified value.

    - #### NumericLiteral

          protected NumericLiteral​(short number)

      Creates an xsd:short typed litral with the specified value.

    - #### NumericLiteral

          protected NumericLiteral​(int number)

      Creates an xsd:int typed litral with the specified value.

    - #### NumericLiteral

          protected NumericLiteral​(long n)

      Creates an xsd:long typed litral with the specified value.

    - #### NumericLiteral

          protected NumericLiteral​(float n)

      Creates an xsd:float typed litral with the specified value.

    - #### NumericLiteral

          protected NumericLiteral​(double n)

      Creates an xsd:double typed litral with the specified value.

  - ### Method Detail

    - #### byteValue

          public byte byteValue()

      Description copied from interface: `Literal`
      Returns the byte value of this literal.
      Specified by:
        `byteValue` in interface `Literal`
      Overrides:
        `byteValue` in class `SimpleLiteral`
      Returns:
        The byte value of the literal.

    - #### shortValue

          public short shortValue()

      Description copied from interface: `Literal`
      Returns the short value of this literal.
      Specified by:
        `shortValue` in interface `Literal`
      Overrides:
        `shortValue` in class `SimpleLiteral`
      Returns:
        The short value of the literal.

    - #### intValue

          public int intValue()

      Description copied from interface: `Literal`
      Returns the int value of this literal.
      Specified by:
        `intValue` in interface `Literal`
      Overrides:
        `intValue` in class `SimpleLiteral`
      Returns:
        The int value of the literal.

    - #### longValue

          public long longValue()

      Description copied from interface: `Literal`
      Returns the long value of this literal.
      Specified by:
        `longValue` in interface `Literal`
      Overrides:
        `longValue` in class `SimpleLiteral`
      Returns:
        The long value of the literal.

    - #### floatValue

          public float floatValue()

      Description copied from interface: `Literal`
      Returns the float value of this literal.
      Specified by:
        `floatValue` in interface `Literal`
      Overrides:
        `floatValue` in class `SimpleLiteral`
      Returns:
        The float value of the literal.

    - #### doubleValue

          public double doubleValue()

      Description copied from interface: `Literal`
      Returns the double value of this literal.
      Specified by:
        `doubleValue` in interface `Literal`
      Overrides:
        `doubleValue` in class `SimpleLiteral`
      Returns:
        The double value of the literal.